# PathElement

Helper class, holds the nested <code>&lt;pathelement&gt;</code> values.

package | phing.types

### Methods

## __construct

    __construct(\Path $outer)

### Arguments

#### $outer

`\Path`

## getParts

    getParts() : array

### Response

`array`

## setDir

    setDir(\PhingFile $loc) : void

### Arguments

#### $loc

`\PhingFile`

## setPath

    setPath( $path) : void

### Arguments

#### $path

``

### Properties

## parts

    parts : array

var |

### Type(s)

`array`

## outer

    outer : \Path

var |

### Type(s)

`\Path`